> ## Documentation Index
> Fetch the complete documentation index at: https://docs.plugkit.co/llms.txt
> Use this file to discover all available pages before exploring further.

# OAuth callback for the shopping authorization



## OpenAPI

````yaml /api-reference/openapi.json get /v1/shopping/callback
openapi: 3.0.0
info:
  title: PlugKit API
  description: >-
    One API to publish, schedule and message across Instagram, WhatsApp, TikTok,
    Telegram, YouTube and X.
  version: 1.0.0
  contact: {}
servers: []
security: []
tags: []
paths:
  /v1/shopping/callback:
    get:
      tags:
        - shopping
      summary: OAuth callback for the shopping authorization
      operationId: ShoppingController_callback
      parameters:
        - name: code
          required: true
          in: query
          schema:
            type: string
        - name: state
          required: true
          in: query
          schema:
            type: string
        - name: error
          required: true
          in: query
          schema:
            type: string
        - name: error_description
          required: true
          in: query
          schema:
            type: string
      responses:
        '200':
          description: ''

````